Function
clear
Resets an object.
clear(object)
Include Headers
seqan/graph_types.h, seqan/sequence.h, seqan/sequence_journaled.h
Parameters

object | The object that will be resetted. Types: char array, Finder, FrequencyDistribution, Graph, Holder, Holder, Index, Journaled String, Pool, PriorityType, Segment, std::basic_string, std::list, std::vector, String, StringSet

Remarks
If object is a graph, then all vertices and all edges are removed.
object is set to a state that is equivalent to a default constructed object of the same type.
If object is a container, then all elements are removed from this container. The length is set to 0. The capacity can be changed, depending on the implementation.
If clear is applied on a Holder object, the state of this object is set to 'empty'.
If clear is applied on a Holder object, the state of this object is set to 'empty'.
Part of Concept
Pattern
See Also
length, goNil, clearEdges, resize, clearVertices
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46